.pagination {
  font: $pagination-size $pagination-font;
  display: flex;
  justify-content: center;
  position: relative;
}

.pagination-container {
  width: 18.125rem;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: space-evenly;
}

.pagination-block {
  display: flex;
  width: 100%;
  justify-content: space-evenly;
}

.pagination-item {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 2rem;
  height: 2rem;
  color: $black-style2;
  text-decoration: none;
  border: transparent solid 1px;
  border-radius: 0.3125rem;
  font-weight: 500;
  margin: 0 0.125rem 0.3125rem;
}

.pagination-block-bottom .pagination-item {
  font-weight: 300;
  font-size: 0.875rem;
}

.pagination-item:hover,
.pagination-item-active,
.pagination-item-current {
  color: $pagination-color-active;
  border: $pagination-border-color-active solid 1px;
  border-radius: 0.3125rem;
}

.pagination-item-first {
  text-decoration: none;
  color: $pagination-color-active;
}

.pagination-item-icons {
  color: #7d7d7d;
  text-decoration: none;
  padding-top: 0.3125rem;

  &-active,
  &:hover {
    color: $pagination-color-active;
  }
}
